@import url("https://fonts.googleapis.com/css2?family=BioRhyme:wght@400;700&family=News+Cycle:wght@400;700&family=Spinnaker&display=swap");
h1 {
  font-family: "BioRhyme", serif, "Segoe UI", Tahoma, Geneva, Verdana,
    sans-serif;
}
h2 {
  font-family: "News Cycle", sans-serif, Tahoma, Geneva, Verdana, sans-serif;
}
p {
  font-family: "Spinnaker", sans-serif, "Franklin Gothic Medium", "Arial Narrow",
    Arial, sans-serif;
}

figcaption {
  font-family: "Spinnaker", sans-serif, "Franklin Gothic Medium", "Arial Narrow",
    Arial, sans-serif;
}

figure {
  margin: 0px 0px 15px;
}

label {
  font-family: "Spinnaker", sans-serif, "Franklin Gothic Medium", "Arial Narrow",
    Arial, sans-serif;
}

input {
  /*max-width: 130px;*/

  border-color: var(--my-black);
  border-radius: 7px;
  margin-bottom: 1.5em;
  color: rgb(81, 80, 80);
  font-family: "Spinnaker", sans-serif, "Franklin Gothic Medium", "Arial Narrow",
    Arial, sans-serif;
  padding: 0.5em;
}

.form1 {
  background-color: var(--my-gray);
  border-radius: var(--my-radius);
  max-width: 50%;
  margin: 2% auto;
}

.form1,
input,
textarea {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  background-color: var(-);
  padding: 1em;
  max-width: 100%;
}

textarea {
  max-width: 200px;
}

::placeholder {
  font-size: smaller;
  font-weight: bolder;
}

:root {
  --background-light-blue: #79cbe4;
  --background-gradient: linear-gradient(
    to bottom,
    var(--background-light-blue),
    var(--my-semi-opaque)
  );
  --background-gradient-green: linear-gradient(
    to bottom,
    var(--my-green),
    var(--my-semi-opaque)
  );
  --my-green: #00ae70;
  --my-white: #fbfffc;
  --my-dark-blue: #294960;
  --my-black: #111d26;
  --my-semi-opaque: #f9fcff77;
  --my-shadow: 0px 3px 8px var(--my-black);
  --my-memo-yellow: #fdffa8;
  --my-soft-shadow: 0px 2px 20px;
  --my-red: #aa537c;
  --my-padding: 1.5em;
  --my-radius: 5px;
  --my-memo-green: #ceedcd;
  --my-gray: #d9d9d9;
}

/*reuasable article styling*/

.img {
  max-width: 100%;
  object-fit: cover;
}

.plain-text {
  padding: var(--my-padding);
}

.low-radius {
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
}

/*global body rules*/

body {
  background-repeat: no-repeat;
  background-size: cover;
}
/*button and its animations*/
.button {
  background-color: var(--my-green);
  color: var(--my-black);
  padding: 10px;
  font-weight: bold;
  text-decoration: none;
  font-family: "News Cycle", sans-serif, Tahoma, Geneva;
}

.button:hover {
  transition-duration: 200ms;
  text-shadow: var(--my-shadow);
  padding-bottom: 20px;
}
/*header*/
header {
  background-color: var(--my-white);
  border: solid;
  border-width: 3px;
  box-shadow: var(--my-shadow);
}

header li {
  text-decoration: none;
  list-style-type: none;
  font-family: "Spinnaker", sans-serif, "Franklin Gothic Medium", "Arial Narrow",
    Arial, sans-serif;
  display: inline;
  padding: 6px;
  font-size: 15px;
  font-weight: bold;
}

.position {
  font-size: xx-large;
}

header ul {
  border: solid var(--my-black);
  border-radius: 5px;
  padding: 5px;
}

.nav-header {
  color: var(--my-black);
}

.header-flex {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
}

.nav-flex li {
  display: flex;
  flex-direction: column;
  align-items: baseline;
  justify-content: baseline;
}

li:hover {
  text-shadow: 0px 5px 4px var(--my-green);
}

/*logo animations*/
.logo:hover {
  filter: brightness(180%);
  transition-duration: 500ms;
  max-width: 98%;
}

/*banner*/
.banner-flex {
  background-color: var(--my-dark-blue);
  color: var(--my-white);
  padding: 8px;
  box-shadow: var(--my-shadow);
  margin-bottom: 1em;
  text-align: center;
}

.banner-pic img {
  max-width: 100%;
  padding: 0px;
  margin: auto;
  box-shadow: var(--my-shadow);
}

/*footer*/
footer {
  background-color: var(--my-dark-blue);
  color: var(--my-white);
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: left;
  padding: 1em;
  margin-top: 2em;
}

.fontsize {
  font-size: xx-large;
}
.navfooter {
  font-family: "News Cycle", "Courier New", Courier, monospace;
  font-size: xx-large;
  border: solid;
  border-radius: 5px;
  padding: 5px;
}

.map {
  max-width: 150px;
}

.map:hover {
  max-width: 230px;
  opacity: 80%;
}

li,
a {
  color: var(--my-white);
  text-decoration: none;
  list-style-type: none;
}

/*hamburger menu, checkbox hack as demonstrated by MJ Philip in the curriculum*/

.hamburger-menu {
  max-width: 50px;
  max-height: 50px;
  margin: 15px;
}

.hamburger-menu:hover {
  transition-duration: 500ms;
  opacity: 70%;
  max-width: 95%;
}

.burger,
#menu-checkbox {
  display: none;
}

#menu-checkbox:checked ~ .burger {
  display: block;
}

/*Media queries*/
/*header*/

@media only screen and (min-width: 480px) {
  footer {
    padding: 0% 15% 0%;
  }
}
@media only screen and (min-width: 600px) {
  footer {
    padding: 1em;
  }
}

@media only screen and (min-width: 800px) {
  /*footer**/
  footer {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
  }

  .map {
    max-width: 50px;
  }

  .grid1 {
    grid-column: 1/2;
    grid-row: 1;
  }
  .grid2 {
    grid-column: 1/2;
    grid-row: 2;
  }
  .grid3 {
    grid-column: 2/4;
    grid-row: 2;
  }
  .grid4 {
    grid-column: 2/6;
    grid-row: 1;
  }
  .grid5 {
    grid-column: 4/6;
    grid-row: 2;
  }
  .grid6 {
    grid-column: 9/12;
    grid-row: 1;
  }
  .grid7 {
    grid-column: 9/12;
    grid-row: 2;
  }
}
@media only screen and (min-width: 1070px) {
  .map {
    max-width: 150px;
  }
  .header-flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .nav-flex li {
    display: inline;
    padding: 0.15em;
    font-size: small;
  }

  .hamburger-menu {
    display: none;
  }

  .burger {
    display: block;
    position: static;
    margin-right: 1em;
  }
}

@media only screen and (min-width: 1400px) {
  .grid1 {
    grid-column: 1/2;
    grid-row: 1;
  }

  .grid4 {
    grid-column: 4/7;
    grid-row: 1;
    line-height: 120%;
  }

  .burger {
    display: block;
    position: static;
    margin-right: 1em;
  }

  .header-flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .nav-flex li {
    display: inline;
    padding: 1em;
    font-size: medium;
  }
}
